Name:           xchat-gnome
Version:        0.16
Release:        1%{?dist}
Summary:        GNOME front-end to xchat

Group:          Applications/Internet
License:        GPL
URL:            http://%{name}.navi.cx/
Source0:        http://flapjack.navi.cx/releases/%{name}/%{name}-%{version}.tar.bz2
Patch0:		%{name}-config.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	openssl-devel
Buildrequires:	libsexy-devel
BuildRequires:	libgnomeui-devel
BuildRequires:	python-devel
BuildRequires:	desktop-file-utils
BuildRequires:  scrollkeeper
BuildRequires:  gettext
BuildRequires:	perl(XML::Parser)
BuildRequires:	gnome-doc-utils
BuildRequires:	libnotify-devel

Requires: 	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
Requires:	python-abi = %(%{__python} -c "import sys ; print sys.version[:3]")

Requires(pre): GConf2
Requires(post): GConf2
Requires(post): scrollkeeper
Requires(preun): GConf2
Requires(postun): scrollkeeper


%description
xchat-gnome is a new frontend for the popular X-Chat IRC client.  GNOME's
philosophy in terms of user interfaces has been progressing towards
presenting the user with few options, yet sane defaults. While many of the
normal X-Chat options will be preserved inside GConf, only the most
common settings will be included in the main user interface. .


%prep
%setup -q -n %{name}-%{version}
%patch0 -p1 -b .config


%build
%configure --disable-tcl --disable-scrollkeeper --disable-schemas-install --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
%find_lang %{name}
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

desktop-file-install --vendor fedora --delete-original	\
	--dir $RPM_BUILD_ROOT%{_datadir}/applications	\
	$RPM_BUILD_ROOT%{_datadir}/applications/%{name}.desktop

# Place app icons in correct directory.
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
cp -p $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/48x48/apps/%{name}.png \
	 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/48x48/apps/
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/48x48/apps/%{name}.png
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/48x48/apps/
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/48x48/
mkdir -p $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/
cp -p $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/128x128/apps/%{name}.png	\
	 $RPM_BUILD_ROOT%{_datadir}/icons/hicolor/128x128/apps/
rm -f $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/128x128/apps/%{name}.png
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/128x128/apps
rmdir $RPM_BUILD_ROOT%{_datadir}/%{name}/icons/hicolor/128x128/


%clean
rm -rf $RPM_BUILD_ROOT


%pre
if [ "$1" -gt 1 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
    	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i >/dev/null || :
	done
fi


%post
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
for i in $SCHEMAS; do
	gconftool-2 --makefile-install-rule \
		 %{_sysconfdir}/gconf/schemas/$i > /dev/null || :
done
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%preun
if [ "$1" -eq 0 ]; then
	export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
	SCHEMAS="apps_xchat.schemas notification.schemas urlscraper.schemas url_handler.schemas"
	for i in $SCHEMAS; do
		gconftool-2 --makefile-uninstall-rule \
			%{_sysconfdir}/gconf/schemas/$i > /dev/null || :
	done
fi


%postun
scrollkeeper-update -q -o %{_datadir}/omf/%{name} || :
touch --no-create %{_datadir}/icons/hicolor || :
if [ -x %{_bindir}/gtk-update-icon-cache ]; then
   %{_bindir}/gtk-update-icon-cache --quiet %{_datadir}/icons/hicolor || :
fi


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc COPYING AUTHORS
%doc plugins/perl/xchat2-perldocs.html
%{_bindir}/%{name}
%{_sysconfdir}/gconf/schemas/*.schemas
%{_datadir}/%{name}/
%{_datadir}/icons/hicolor/128x128/apps/%{name}.png
%{_datadir}/icons/hicolor/48x48/apps/%{name}.png
%{_datadir}/applications/fedora-%{name}.desktop
%{_datadir}/omf/%{name}/
%{_datadir}/gnome/help/%{name}/
%{_datadir}/dbus-1/services/org.gnome.Xchat.service
%{_mandir}/man1/%{name}.1.gz
%dir %{_libdir}/%{name}
%{_libdir}/%{name}/plugins/


%changelog
* Wed Jan 31 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.16-2
- Drop conditional statement for libnotify.
- Remove BR on dbus-devel, since libnotify-devel will pull this in.
- Move themeable app icon to correct directory.

* Sun Oct 29 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.15-1
- Update to 0.15.
- Add new icons.

* Thu Oct 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.14-1
- Update to 0.14.
- Remove xchat-gnome-remote.
- Drop X-Fedora desktop category.
- Use disable-schemas-install & disable-static with configure.

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-4
- Add BR for perl(XML::Parser).

* Thu Aug 31 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-3
- Update for FC6.

* Wed Jul 26 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.13-2
- Update to 0.13.

* Tue Jun 20 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.12-2
- Update to 0.12.

* Sat May 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-3
- Drop patch for libnotify.

* Tue Apr  4 2006 Brian Pepple <bdpepple@ameritech.net> - 0.11-2
- Update to 0.11
- Drop screensaver patch.
- Add scriptlet for gtk+ icon cache.

* Sun Mar 19 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-5
- Rebuild for libsexy-0.1.8.

* Thu Mar 16 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-4
- Rebuild for new libsexy.

* Sat Feb 25 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-3
- Add libnotify patch to work with 0.3.0 api.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-2
- Add patch to use correct gnome-screensaver dbus object.
- Drop killall gconfd-2 calls in scriptlets.

* Fri Feb 24 2006 Brian Pepple <bdpepple@ameritech.net> - 0.10-1
- Update to 0.10.
- Add -disable-scrollkeeprer to config.
- Add BR for gnome-doc-utils.
- Disable libnotify plugin, until libnotify is updated in Rawhide.

* Wed Feb 15 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-6
- Drop unnecessary BR (libSM-devel & libglade2-devel).

* Mon Feb 13 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-5
- rebuilt for new gcc4.1 snapshot and glibc changes

* Tue Feb  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-4
- Rebuild due to new libsexy.

* Mon Jan 23 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-3
- Bump.

* Sat Jan 21 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-2
- Add xchat_gnome_url_handler.schemas to scriptlet.

* Fri Jan 20 2006 Brian Pepple <bdpepple@ameritech.net> - 0.9-1
- Update to 0.9.
- Add BR for libnotify-devel.
- Drop certificates patch.

* Fri Dec 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-2
- add patch for self-signed certificate acceptance. (#174591)

* Tue Dec 20 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-1
- Udate to 0.8.

* Sun Dec 18 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc2
- Update to 0.8rc2.

* Thu Dec 15 2005 Brian Pepple <bdpepple@ameritech.net> - 0.8-01.rc1
- Update to 0.8rc1.
- Drop documentation removed from upstream tarball.
- Drop depreciated config options.
- Enable dbus support.
- Drop 323944 patch, since it's been applied upstream.
- Drop datadir patch, since it's been applied upstream.

* Wed Dec 14 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-4
- Add patch to fix #175751. 

* Wed Nov 30 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-3
- Disable dbus support, until FE Bug #174592 is fixed.

* Mon Nov 21 2005 Brian Pepple <bdpepple@ameritech.net> - 0.7-2
- Update to 0.7.
- Add BR for libSM-devel.
- Disable libnotify support, until it's available in Rawhide.
- Add help files & scrollkeeper scriptlets.
- Add BR & requires for scrollkeeper.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-7
- Bump

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-6
- Bump release for upgrade path from FC-4.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-5
- Add test for release version to determine if dbus is enabled.
- Add dist tag.

* Sat Nov 12 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-4
- Remove obsoletes xchat.
- Add patch to change datadir location.
- Add patch to change config dir.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-3
- Add xchat-remote to files, and re-add dbus config flag.

* Thu Nov 10 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-2
- Merge some items from Bastien Nocera's spec file (#172873).
- Add configure option to enable ipv6 & shm tinting support.
- Simplify schemas installation.

* Tue Oct 25 2005 Brian Pepple <bdpepple@ameritech.net> - 0.6-1
- Initial Fedora Extras spec file.

